Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 588953 - Note on configuration language change for varnish
Note on configuration language change for varnish
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: release-notes (Show other bugs)
devel
All Linux
high Severity medium
: ---
: ---
Assigned To: John J. McDonough
Karsten Wade
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-04 18:08 EDT by Ingvar Hagelund
Modified: 2010-10-29 07:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-29 07:08:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ingvar Hagelund 2010-05-04 18:08:56 EDT
varnish is a http accellerator

Description of problem:

Going from f12 to f13, varnish was upgraded from 2.0.x to 2.1.x. The 2.1.x series has a change in the varnish configuration language syntax that is incompatible with the older versions. Users upgrading from f12 to f13 will not be able to run varnish without manually changing their configuration.

There should be an item in the relase notes stating something like the following. If existing, it should be filed under a headline like the one from fedora 12's release notes, "5.4 Web and Content Servers"

varnish-2.1.x configuration language change

varnish was upgraded from the 2.0.x to the 2.1.x version series. 2.1.x has a change in the varnish configuration language syntax that is incompatible with the older versions. Users upgrading from f12 to f13 will not be able to run varnish without manually changing their configuration.

The main change is as that obj.* is now called beresp.* in vcl_fetch, and obj.* is now read-only. For more information, please see http://varnish-cache.org/wiki/changelog_2.0.6-2.1.0
Comment 1 eric@christensenplace.us 2010-05-05 09:09:50 EDT
This should be pushed into the 0-day release.
Comment 2 John J. McDonough 2010-05-08 19:45:03 EDT
Made the change, will appear in the 0-day release.
Comment 3 Fedora Update System 2010-05-11 15:56:37 EDT
fedora-release-notes-13.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/fedora-release-notes-13.1-1.fc13
Comment 4 Fedora Update System 2010-05-17 15:06:49 EDT
fedora-release-notes-13.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.